automated editing of text in blocks an attributes

Discussion in 'AutoCAD' started by colin1234, Feb 9, 2005.

  1. colin1234

    colin1234 Guest

    I am after a lisp routing to automatically change the text height in a block from 312.5 to 250.
    Alos i am after alisp routine to change the attributes of the lblocks from 312.5 to 250.

    Thanks in advance

    Colin
     
    colin1234, Feb 9, 2005
    #1
  2. ;;;Attribute height change
    (defun c:ahc ()
    (setq atth(getreal "\nEnter new attribute height: "))
    (command "attedit" "y" "*" "*" "*" "c" pause pause)
    (while
    (= 1 (logand (getvar "cmdactive") 1))
    (command "h" atth "n")
    );;; end while
    );;; end lisp


    This was gleaned from this news group many moons ago, and I can't take
    credit for writing it, but I've used it often.

    Casey
     
    Casey Roberts, Feb 9, 2005
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.